OpenCV: cvflann::KNNSimpleResultSet< DistanceType > Class Template Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cvflann::KNNSimpleResultSet< DistanceType > Class Template Reference

`#include "result_set.h"`

Inheritance diagram for cvflann::KNNSimpleResultSet< DistanceType >:

## Public Member Functions
| KNNSimpleResultSet (int capacity_)
void | addPoint (DistanceType dist, int index) CV_OVERRIDE
bool | full () const CV_OVERRIDE
void | init (int *indices_, DistanceType *dists_)
size_t | size () const
DistanceType | worstDist () const CV_OVERRIDE
Public Member Functions inherited from cvflann::ResultSet< DistanceType >
virtual | ~ResultSet ()

## Detailed Description

### template<typename DistanceType>
class cvflann::KNNSimpleResultSet< DistanceType >

KNNSimpleResultSet does not ensure that the element it holds are unique. Is used in those cases where the nearest neighbour algorithm used does not attempt to insert the same element multiple times.

## Constructor & Destructor Documentation

## ◆ KNNSimpleResultSet()

template<typename DistanceType>

cvflann::KNNSimpleResultSet< DistanceType >::KNNSimpleResultSet | ( | int | capacity_ | ) |
| inline

## Member Function Documentation

## ◆ addPoint()

template<typename DistanceType>

void cvflann::KNNSimpleResultSet< DistanceType >::addPoint | ( | DistanceType | dist,
|  | int | index
| ) |  |
| inlinevirtual

Implements cvflann::ResultSet< DistanceType >.

## ◆ full()

template<typename DistanceType>

bool cvflann::KNNSimpleResultSet< DistanceType >::full | ( |  | ) | const
| inlinevirtual

Implements cvflann::ResultSet< DistanceType >.

## ◆ init()

template<typename DistanceType>

void cvflann::KNNSimpleResultSet< DistanceType >::init | ( | int * | indices_,
|  | DistanceType * | dists_
| ) |  |
| inline

## ◆ size()

template<typename DistanceType>

size_t cvflann::KNNSimpleResultSet< DistanceType >::size | ( |  | ) | const
| inline

## ◆ worstDist()

template<typename DistanceType>

DistanceType cvflann::KNNSimpleResultSet< DistanceType >::worstDist | ( |  | ) | const
| inlinevirtual

Implements cvflann::ResultSet< DistanceType >.

The documentation for this class was generated from the following file:

- flann/include/opencv2/flann/result_set.h